import request from '@/utils/request';

// 获取当前活动事件列表
export function getActiveEventList() {
    return request({
        url: '/api/event_management/event/notice_bar',
        method: 'get'
    });
}

// 获取事件列表
export function getEventList(params) {
    return request({
        url: '/api/event_management/event/list',
        method: 'get',
        params: params
    });
}

// 获取事件详情
export function getEventDetail(params) {
    return request({
        url: '/api/event_management/event/detail',
        method: 'get',
        params: params
    });
}

// 开始指挥事件
export function startEvent(data) {
    return request({
        url: '/api/event_management/event/start',
        method: 'post',
        data: data
    });
}

// 关闭事件
export function closeEvent(data) {
    return request({
        url: '/api/event_management/event/close',
        method: 'post',
        data: data
    });
}

// 签到/签退
export function getSignInfo(data) {
    return request({
        url: '/api/event_management/checkin/getInfo',
        method: 'post',
        data: data
    });
}

export function signEvent(data) {
    return request({
        url: '/api/event_management/checkin/check',
        method: 'post',
        data: data
    });
}

export function uploadCasualties(data) {
    return request({
        url: '/api/event_management/event/upload_casualties',
        method: 'post',
        data: data
    });
}